Get specific account
curl --request GET \
--url https://api.example.com/v1/accounts/{accountId}import requests
url = "https://api.example.com/v1/accounts/{accountId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accountId": "019bdb2a-960f-789d-8955-21720e6cdeed",
"iban": "LT647044001231465456",
"partyId": "019bdb2a-960f-789d-8955-21720e6cdeee",
"status": "OPENED",
"createdAt": "2026-01-22T13:47:21.542Z",
"statusUpdatedAt": "2026-01-22T13:47:21.542Z",
"balances": [
{
"currency": "EUR",
"availableBalance": 100000,
"holdingBalance": 100000
}
],
"currentLedgerAccount": "CUSTOMER:party-uuid:account-uuid:CURRENT",
"holdingLedgerAccount": "CUSTOMER:party-uuid:account-uuid:HOLDING"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Accounts
Get account by ID
Returns detailed account information including balance, status, and ledger account identifiers
GET
/
v1
/
accounts
/
{accountId}
Get specific account
Path Parameters
Account ID
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Response
Account details
Account information
Account ID
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Example:
"019bdb2a-960f-789d-8955-21720e6cdeed"
Account IBAN
Example:
"LT647044001231465456"
Party ID
Pattern:
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Example:
"019bdb2a-960f-789d-8955-21720e6cdeee"
Account status
Available options:
OPENED, CLOSED, BLOCKED Account creation timestamp
Example:
"2026-01-22T13:47:21.542Z"
Timestamp of the last status change
Example:
"2026-01-22T13:47:21.542Z"
Balances per currency
Show child attributes
Show child attributes
Current ledger account identifier
Example:
"CUSTOMER:party-uuid:account-uuid:CURRENT"
Holding ledger account identifier
Example:
"CUSTOMER:party-uuid:account-uuid:HOLDING"
Last modified on March 31, 2026